Bug 421488 - Plasma crashes after login
Summary: Plasma crashes after login
Status: RESOLVED WORKSFORME
Alias: None
Product: plasmashell
Classification: Plasma
Component: general (show other bugs)
Version: 5.18.5
Platform: openSUSE Linux
: NOR crash
Target Milestone: 1.0
Assignee: David Edmundson
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2020-05-13 22:24 UTC by RobinK
Modified: 2020-06-04 23:57 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description RobinK 2020-05-13 22:24:27 UTC
Application: plasmashell (5.18.5)

Qt Version: 5.14.1
Frameworks Version: 5.70.0
Operating System: Linux 4.12.14-lp151.28.48-default x86_64
Windowing system: X11
Distribution: "openSUSE Leap 15.1"

-- Information about the crash:
- What I was doing when the application crashed: On login, KDE desktop opened with default wallpaper and icons repositioned.  While restoring custom config, desktop crashed to blank (black) and unresponsive screen 

- Unusual behavior I noticed:  Several reboots all resulted in similar behaviour, ending with Plasma crash and black screen

The crash can be reproduced every time.

-- Backtrace:
Application: Plasma (plasmashell), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f94a6f90540 (LWP 2158))]

Thread 11 (Thread 0x7f943e1fd700 (LWP 2716)):
#0  0x00007f949d8fe87d in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f94a09f90db in QWaitConditionPrivate::wait (deadline=..., this=0x5629349b0740) at thread/qwaitcondition_unix.cpp:146
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x5629349baf40, deadline=...) at thread/qwaitcondition_unix.cpp:225
#3  0x00007f94a09f9259 in QWaitCondition::wait (this=this@entry=0x5629349baf48, mutex=mutex@entry=0x5629349baf40, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
#4  0x00007f94a4b35213 in QSGRenderThreadEventQueue::takeEvent (wait=true, this=0x5629349baf38) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-lp151.1.1.x86_64/src/quick/scenegraph/qsgthreadedrenderloop.cpp:255
#5  QSGRenderThread::processEventsAndWaitForMore (this=this@entry=0x5629349baea0) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-lp151.1.1.x86_64/src/quick/scenegraph/qsgthreadedrenderloop.cpp:905
#6  0x00007f94a4b35671 in QSGRenderThread::run (this=0x5629349baea0) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-lp151.1.1.x86_64/src/quick/scenegraph/qsgthreadedrenderloop.cpp:1000
#7  0x00007f94a09f2b2c in QThreadPrivate::start (arg=0x5629349baea0) at thread/qthread_unix.cpp:342
#8  0x00007f949d8f84f9 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f94a02eaf2f in clone () from /lib64/libc.so.6

Thread 10 (Thread 0x7f9445563700 (LWP 2682)):
#0  0x00007f94a02e06db in poll () from /lib64/libc.so.6
#1  0x00007f947b0e92e4 in ?? () from /usr/lib64/libnvidia-glcore.so.440.36
#2  0x00007f947b1d1105 in ?? () from /usr/lib64/libnvidia-glcore.so.440.36
#3  0x00007f947b0c7c4e in ?? () from /usr/lib64/libnvidia-glcore.so.440.36
#4  0x00007f9481bb0f04 in ?? () from /usr/lib64/libGLX_nvidia.so.0
#5  0x00007f9481b86061 in glXSwapBuffers () from /usr/lib64/libGLX_nvidia.so.0
#6  0x00007f9482048242 in ?? () from /usr/lib64/qt5/plugins/xcbglintegrations/libqxcb-glx-integration.so
#7  0x00007f94a1222d8f in QOpenGLContext::swapBuffers(QSurface*) () from /usr/lib64/libQt5Gui.so.5
#8  0x00007f94a4b31717 in QSGRenderThread::syncAndRender (this=this@entry=0x562933c496c0, grabImage=grabImage@entry=0x0) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-lp151.1.1.x86_64/src/quick/scenegraph/qsgthreadedrenderloop.cpp:841
#9  0x00007f94a4b3562f in QSGRenderThread::run (this=0x562933c496c0) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-lp151.1.1.x86_64/src/quick/scenegraph/qsgthreadedrenderloop.cpp:980
#10 0x00007f94a09f2b2c in QThreadPrivate::start (arg=0x562933c496c0) at thread/qthread_unix.cpp:342
#11 0x00007f949d8f84f9 in start_thread () from /lib64/libpthread.so.0
#12 0x00007f94a02eaf2f in clone () from /lib64/libc.so.6

Thread 9 (Thread 0x7f9450814700 (LWP 2649)):
#0  0x00007f94a02e06db in poll () from /lib64/libc.so.6
#1  0x00007f949a2ed749 in g_main_context_iterate.isra () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f949a2ed85c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f94a0c417eb in QEventDispatcherGlib::processEvents (this=0x7f9448000b10, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f94a0be0d4a in QEventLoop::exec (this=this@entry=0x7f9450813c70, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#5  0x00007f94a09f1657 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:536
#6  0x00007f9453137c37 in KCupsConnection::run() () from /usr/lib64/libkcupslib.so
#7  0x00007f94a09f2b2c in QThreadPrivate::start (arg=0x562933b05390) at thread/qthread_unix.cpp:342
#8  0x00007f949d8f84f9 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f94a02eaf2f in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7f945b23e700 (LWP 2644)):
#0  0x00007f94a02e06db in poll () from /lib64/libc.so.6
#1  0x00007f949a2ed749 in g_main_context_iterate.isra () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f949a2ed85c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f94a0c417eb in QEventDispatcherGlib::processEvents (this=0x7f944c000b10, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f94a0be0d4a in QEventLoop::exec (this=this@entry=0x7f945b23dcb0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#5  0x00007f94a09f1657 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:536
#6  0x00007f94a09f2b2c in QThreadPrivate::start (arg=0x56293343e020) at thread/qthread_unix.cpp:342
#7  0x00007f949d8f84f9 in start_thread () from /lib64/libpthread.so.0
#8  0x00007f94a02eaf2f in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7f945ba3f700 (LWP 2643)):
#0  0x00007f94a02e06db in poll () from /lib64/libc.so.6
#1  0x00007f949a2ed749 in g_main_context_iterate.isra () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f949a2ed85c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f94a0c417eb in QEventDispatcherGlib::processEvents (this=0x7f9454000b10, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f94a0be0d4a in QEventLoop::exec (this=this@entry=0x7f945ba3ec90, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#5  0x00007f94a09f1657 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:536
#6  0x00007f945bff7f05 in ?? () from /usr/lib64/qt5/qml/QtQuick/XmlListModel/libqmlxmllistmodelplugin.so
#7  0x00007f94a09f2b2c in QThreadPrivate::start (arg=0x5629332b1a60) at thread/qthread_unix.cpp:342
#8  0x00007f949d8f84f9 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f94a02eaf2f in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7f9470a48700 (LWP 2599)):
#0  0x00007f949d8fe87d in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f94a09f90db in QWaitConditionPrivate::wait (deadline=..., this=0x7f948400f090) at thread/qwaitcondition_unix.cpp:146
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x5629329daea0, deadline=...) at thread/qwaitcondition_unix.cpp:225
#3  0x00007f94a09f9259 in QWaitCondition::wait (this=this@entry=0x5629329daea8, mutex=mutex@entry=0x5629329daea0, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
#4  0x00007f94a4b35213 in QSGRenderThreadEventQueue::takeEvent (wait=true, this=0x5629329dae98) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-lp151.1.1.x86_64/src/quick/scenegraph/qsgthreadedrenderloop.cpp:255
#5  QSGRenderThread::processEventsAndWaitForMore (this=this@entry=0x5629329dae00) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-lp151.1.1.x86_64/src/quick/scenegraph/qsgthreadedrenderloop.cpp:905
#6  0x00007f94a4b35671 in QSGRenderThread::run (this=0x5629329dae00) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-lp151.1.1.x86_64/src/quick/scenegraph/qsgthreadedrenderloop.cpp:1000
#7  0x00007f94a09f2b2c in QThreadPrivate::start (arg=0x5629329dae00) at thread/qthread_unix.cpp:342
#8  0x00007f949d8f84f9 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f94a02eaf2f in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7f9471258700 (LWP 2593)):
#0  0x00007f949a2ea2f9 in g_source_unref_internal () from /usr/lib64/libglib-2.0.so.0
#1  0x00007f949a2eb8f4 in g_source_iter_next () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f949a2ecbc3 in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f949a2ed67b in g_main_context_iterate.isra () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f949a2ed85c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00007f94a0c417eb in QEventDispatcherGlib::processEvents (this=0x7f946c000b10, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#6  0x00007f94a0be0d4a in QEventLoop::exec (this=this@entry=0x7f9471257c40, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#7  0x00007f94a09f1657 in QThread::exec (this=this@entry=0x562932ac7160) at thread/qthread.cpp:536
#8  0x00007f94a4a77b36 in QQuickPixmapReader::run (this=0x562932ac7160) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-lp151.1.1.x86_64/src/quick/util/qquickpixmapcache.cpp:987
#9  0x00007f94a09f2b2c in QThreadPrivate::start (arg=0x562932ac7160) at thread/qthread_unix.cpp:342
#10 0x00007f949d8f84f9 in start_thread () from /lib64/libpthread.so.0
#11 0x00007f94a02eaf2f in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7f9488bff700 (LWP 2394)):
#0  0x00007f94a02e06db in poll () from /lib64/libc.so.6
#1  0x00007f949a2ed749 in g_main_context_iterate.isra () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f949a2ed85c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f94a0c417eb in QEventDispatcherGlib::processEvents (this=0x7f947c000b10, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f94a0be0d4a in QEventLoop::exec (this=this@entry=0x7f9488bfec90, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#5  0x00007f94a09f1657 in QThread::exec (this=this@entry=0x5629320b3b00) at thread/qthread.cpp:536
#6  0x00007f94a45d1f35 in QQmlThreadPrivate::run (this=0x5629320b3b00) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-lp151.1.1.x86_64/src/qml/qml/ftw/qqmlthread.cpp:155
#7  0x00007f94a09f2b2c in QThreadPrivate::start (arg=0x5629320b3b00) at thread/qthread_unix.cpp:342
#8  0x00007f949d8f84f9 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f94a02eaf2f in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7f948ac8a700 (LWP 2194)):
#0  0x00007f949a338a54 in g_mutex_unlock () from /usr/lib64/libglib-2.0.so.0
#1  0x00007f949a2ed179 in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f949a2ed6f0 in g_main_context_iterate.isra () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f949a2ed85c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f94a0c417eb in QEventDispatcherGlib::processEvents (this=0x7f9484000b10, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00007f94a0be0d4a in QEventLoop::exec (this=this@entry=0x7f948ac89c80, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#6  0x00007f94a09f1657 in QThread::exec (this=this@entry=0x7f94a2b80da0 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread.cpp:536
#7  0x00007f94a2909115 in QDBusConnectionManager::run (this=0x7f94a2b80da0 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:179
#8  0x00007f94a09f2b2c in QThreadPrivate::start (arg=0x7f94a2b80da0 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread_unix.cpp:342
#9  0x00007f949d8f84f9 in start_thread () from /lib64/libpthread.so.0
#10 0x00007f94a02eaf2f in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7f94913ef700 (LWP 2168)):
#0  0x00007f94a02e06db in poll () from /lib64/libc.so.6
#1  0x00007f94a574a307 in ?? () from /usr/lib64/libxcb.so.1
#2  0x00007f94a574bf3a in xcb_wait_for_event () from /usr/lib64/libxcb.so.1
#3  0x00007f9493bbc200 in ?? () from /usr/lib64/libQt5XcbQpa.so.5
#4  0x00007f94a09f2b2c in QThreadPrivate::start (arg=0x562931f22720) at thread/qthread_unix.cpp:342
#5  0x00007f949d8f84f9 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f94a02eaf2f in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7f94a6f90540 (LWP 2158)):
[KCrash Handler]
#4  QListData::size (this=0x562933fbcab0) at /usr/include/qt5/QtCore/qlist.h:115
#5  QList<QQuickItem*>::count (this=0x562933fbcab0) at /usr/include/qt5/QtCore/qlist.h:359
#6  QQuickItemPrivate::recursiveRefFromEffectItem (this=0x562933fbc9f0, refs=-1) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-lp151.1.1.x86_64/src/quick/items/qquickitem.cpp:6240
#7  0x00007f94a4b76b9f in QQuickItemPrivate::derefFromEffectItem (this=<optimized out>, unhide=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-lp151.1.1.x86_64/src/quick/items/qquickitem.cpp:6263
#8  0x00007f94a4caca9c in QQuickShaderEffectSource::~QQuickShaderEffectSource (this=0x5629344f8ac0, __in_chrg=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-lp151.1.1.x86_64/src/quick/items/qquickshadereffectsource.cpp:218
#9  0x00007f94a4cacae9 in QQuickShaderEffectSource::~QQuickShaderEffectSource (this=0x5629344f8ac0, __in_chrg=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-lp151.1.1.x86_64/src/quick/items/qquickshadereffectsource.cpp:222
#10 0x00007f94731ddb1b in ?? () from /usr/lib64/qt5/qml/QtGraphicalEffects/private/libqtgraphicaleffectsprivate.so
#11 0x00007f94731d8a15 in ?? () from /usr/lib64/qt5/qml/QtGraphicalEffects/private/libqtgraphicaleffectsprivate.so
#12 0x00007f94a0c11d0b in QObjectPrivate::deleteChildren (this=0x562933fd1d50) at kernel/qobject.cpp:2123
#13 0x00007f94a0c1b2ee in QObject::~QObject (this=<optimized out>, __in_chrg=<optimized out>) at kernel/qobject.cpp:1107
#14 0x00007f94a4b7d21d in QQuickItem::~QQuickItem (this=0x562933fd1c90, __in_chrg=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-lp151.1.1.x86_64/src/quick/items/qquickitem.cpp:2383
#15 0x00007f94a4b9dba5 in QQmlPrivate::QQmlElement<QQuickItem>::~QQmlElement (this=0x562933fd1c90, __in_chrg=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-lp151.1.1.x86_64/include/QtQml/../../src/qml/qml/qqmlprivate.h:111
#16 QQmlPrivate::QQmlElement<QQuickItem>::~QQmlElement (this=0x562933fd1c90, __in_chrg=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-lp151.1.1.x86_64/include/QtQml/../../src/qml/qml/qqmlprivate.h:111
#17 0x00007f94a0c11d0b in QObjectPrivate::deleteChildren (this=0x562933fd18c0) at kernel/qobject.cpp:2123
#18 0x00007f94a0c1b2ee in QObject::~QObject (this=<optimized out>, __in_chrg=<optimized out>) at kernel/qobject.cpp:1107
#19 0x00007f94a4b7d21d in QQuickItem::~QQuickItem (this=0x562933fd1800, __in_chrg=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-lp151.1.1.x86_64/src/quick/items/qquickitem.cpp:2383
#20 0x00007f94a4b9dba5 in QQmlPrivate::QQmlElement<QQuickItem>::~QQmlElement (this=0x562933fd1800, __in_chrg=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-lp151.1.1.x86_64/include/QtQml/../../src/qml/qml/qqmlprivate.h:111
#21 QQmlPrivate::QQmlElement<QQuickItem>::~QQmlElement (this=0x562933fd1800, __in_chrg=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-lp151.1.1.x86_64/include/QtQml/../../src/qml/qml/qqmlprivate.h:111
#22 0x00007f94a0c11d0b in QObjectPrivate::deleteChildren (this=0x562933fd1540) at kernel/qobject.cpp:2123
#23 0x00007f94a0c1b2ee in QObject::~QObject (this=<optimized out>, __in_chrg=<optimized out>) at kernel/qobject.cpp:1107
#24 0x00007f94a4b7d21d in QQuickItem::~QQuickItem (this=0x562933fd1480, __in_chrg=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-lp151.1.1.x86_64/src/quick/items/qquickitem.cpp:2383
#25 0x00007f94a4b9dba5 in QQmlPrivate::QQmlElement<QQuickItem>::~QQmlElement (this=0x562933fd1480, __in_chrg=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-lp151.1.1.x86_64/include/QtQml/../../src/qml/qml/qqmlprivate.h:111
#26 QQmlPrivate::QQmlElement<QQuickItem>::~QQmlElement (this=0x562933fd1480, __in_chrg=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-lp151.1.1.x86_64/include/QtQml/../../src/qml/qml/qqmlprivate.h:111
#27 0x00007f94a0c11d0b in QObjectPrivate::deleteChildren (this=0x562933b24440) at kernel/qobject.cpp:2123
#28 0x00007f94a0c1b2ee in QObject::~QObject (this=<optimized out>, __in_chrg=<optimized out>) at kernel/qobject.cpp:1107
#29 0x00007f94a4b7d21d in QQuickItem::~QQuickItem (this=0x562933fae600, __in_chrg=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-lp151.1.1.x86_64/src/quick/items/qquickitem.cpp:2383
#30 0x00007f94a4b9ddc5 in QQmlPrivate::QQmlElement<QQuickLoader>::~QQmlElement (this=0x562933fae600, __in_chrg=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-lp151.1.1.x86_64/include/QtQml/../../src/qml/qml/qqmlprivate.h:111
#31 QQmlPrivate::QQmlElement<QQuickLoader>::~QQmlElement (this=0x562933fae600, __in_chrg=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-lp151.1.1.x86_64/include/QtQml/../../src/qml/qml/qqmlprivate.h:111
#32 0x00007f94a0c11d0b in QObjectPrivate::deleteChildren (this=0x5629333ad560) at kernel/qobject.cpp:2123
#33 0x00007f94a0c1b2ee in QObject::~QObject (this=<optimized out>, __in_chrg=<optimized out>) at kernel/qobject.cpp:1107
#34 0x00007f94a4b7d21d in QQuickItem::~QQuickItem (this=0x562933f71ae0, __in_chrg=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-lp151.1.1.x86_64/src/quick/items/qquickitem.cpp:2383
#35 0x00007f94a4b9dba5 in QQmlPrivate::QQmlElement<QQuickItem>::~QQmlElement (this=0x562933f71ae0, __in_chrg=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-lp151.1.1.x86_64/include/QtQml/../../src/qml/qml/qqmlprivate.h:111
#36 QQmlPrivate::QQmlElement<QQuickItem>::~QQmlElement (this=0x562933f71ae0, __in_chrg=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-lp151.1.1.x86_64/include/QtQml/../../src/qml/qml/qqmlprivate.h:111
#37 0x00007f94a0c11d0b in QObjectPrivate::deleteChildren (this=0x562933b25aa0) at kernel/qobject.cpp:2123
#38 0x00007f94a0c1b2ee in QObject::~QObject (this=<optimized out>, __in_chrg=<optimized out>) at kernel/qobject.cpp:1107
#39 0x00007f94a4b7d21d in QQuickItem::~QQuickItem (this=0x562933f71eb0, __in_chrg=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-lp151.1.1.x86_64/src/quick/items/qquickitem.cpp:2383
#40 0x00007f94a4b9ddc5 in QQmlPrivate::QQmlElement<QQuickLoader>::~QQmlElement (this=0x562933f71eb0, __in_chrg=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-lp151.1.1.x86_64/include/QtQml/../../src/qml/qml/qqmlprivate.h:111
#41 QQmlPrivate::QQmlElement<QQuickLoader>::~QQmlElement (this=0x562933f71eb0, __in_chrg=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-lp151.1.1.x86_64/include/QtQml/../../src/qml/qml/qqmlprivate.h:111
#42 0x00007f94a0c11d0b in QObjectPrivate::deleteChildren (this=0x562933f87ca0) at kernel/qobject.cpp:2123
#43 0x00007f94a0c1b2ee in QObject::~QObject (this=<optimized out>, __in_chrg=<optimized out>) at kernel/qobject.cpp:1107
#44 0x00007f94a4b7d21d in QQuickItem::~QQuickItem (this=0x562933fa0790, __in_chrg=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-lp151.1.1.x86_64/src/quick/items/qquickitem.cpp:2383
#45 0x00007f94a4b9dba5 in QQmlPrivate::QQmlElement<QQuickItem>::~QQmlElement (this=0x562933fa0790, __in_chrg=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-lp151.1.1.x86_64/include/QtQml/../../src/qml/qml/qqmlprivate.h:111
#46 QQmlPrivate::QQmlElement<QQuickItem>::~QQmlElement (this=0x562933fa0790, __in_chrg=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-lp151.1.1.x86_64/include/QtQml/../../src/qml/qml/qqmlprivate.h:111
#47 0x00007f94a0c155c5 in QObject::event (this=this@entry=0x562933fa0790, e=e@entry=0x56293466ab80) at kernel/qobject.cpp:1326
#48 0x00007f94a4b7a4cb in QQuickItem::event (this=0x562933fa0790, ev=0x56293466ab80) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-lp151.1.1.x86_64/src/quick/items/qquickitem.cpp:8156
#49 0x00007f94a1f3fb5c in QApplicationPrivate::notify_helper (this=this@entry=0x562931eff9a0, receiver=receiver@entry=0x562933fa0790, e=e@entry=0x56293466ab80) at kernel/qapplication.cpp:3684
#50 0x00007f94a1f46d60 in QApplication::notify (this=0x7ffc85e554d0, receiver=0x562933fa0790, e=0x56293466ab80) at kernel/qapplication.cpp:3430
#51 0x00007f94a0be24c8 in QCoreApplication::notifyInternal2 (receiver=0x562933fa0790, event=0x56293466ab80) at kernel/qcoreapplication.cpp:1092
#52 0x00007f94a0be269e in QCoreApplication::sendEvent (receiver=receiver@entry=0x562933fa0790, event=event@entry=0x56293466ab80) at kernel/qcoreapplication.cpp:1487
#53 0x00007f94a0be5141 in QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x562931ed4cc0) at kernel/qcoreapplication.cpp:1832
#54 0x00007f94a0be56d8 in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1691
#55 0x00007f94a0c42123 in postEventSourceDispatch (s=0x562931f6a8e0) at kernel/qeventdispatcher_glib.cpp:277
#56 0x00007f949a2ed59a in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#57 0x00007f949a2ed7d0 in g_main_context_iterate.isra () from /usr/lib64/libglib-2.0.so.0
#58 0x00007f949a2ed85c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#59 0x00007f94a0c417cc in QEventDispatcherGlib::processEvents (this=0x562931f6dc60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#60 0x00007f94a0be0d4a in QEventLoop::exec (this=this@entry=0x7ffc85e55380, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#61 0x00007f94a0bea4c0 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1400
#62 0x000056293191eac4 in main (argc=<optimized out>, argv=<optimized out>) at /usr/src/debug/plasma5-workspace-5.18.5-lp151.515.1.x86_64/shell/main.cpp:228
[Inferior 1 (process 2158) detached]

Possible duplicates by query: bug 421466, bug 421453, bug 421447, bug 421409, bug 421402.

Reported using DrKonqi
Comment 1 RobinK 2020-05-15 05:20:11 UTC
OK; after a cold reboot the desktop came up and was usable.  

However, if I try to reposition *any* of the desktop icons, Plasma crashes to an unusable blank (black) screen.  Killing the desktop and re-logging in doesn't help.  But a further cold reboot does lead to a usable desktop - until I try to reposition an icon by grabbing it with the mouse, at which point the errant behaviour repeats itself.
Comment 2 RobinK 2020-05-16 04:43:25 UTC
I'm happy to report that the updates to Plasma and related that have been made available over the last couple of days seem to have fixed the problem.
Comment 3 Christoph Feck 2020-06-04 23:57:33 UTC
Thanks for the update; changing status.